:root {
  --shengwang-case-read-padding: 80px;
  --shengwang-case-read-padding-sm: 50px;
}

.shengwang_case_read {
  background: #fff;
}

.shengwang_case_read_nav {
  margin: 34px 0 46px;
  display: flex;
  align-items: center;
  gap: 6px;
  max-width: 100%;
  /* height: 16px; */
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
}

.shengwang_case_read_nav a {
  color: #999;
}

.shengwang_case_read_nav a b {
  color: var(--color-primary);
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}
.shengwang_case_read_nav_right {
  color: #999;
}

.shengwang_case_read_nav_right b {
  color: #333;
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}

.shengwang_case_read_top {
  display: flex;
  gap: 30px;
}

.shengwang_case_read_top_left {
  width: 30.7%;
}

.shengwang_case_read_top_right {
  flex: 1;
}

.shengwang_case_read_top_right_title {
  color: #000;
  font-size: 28px;
  font-weight: 400;
  line-height: 1.2;
  max-height: calc(28px * 1.2 * 2);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.shengwang_case_read_top_right_content {
  margin-top: 16px;
}

.shengwang_case_read_top_right_content p {
  font-size: 16px;
  font-weight: 300;
  line-height: 2;
  color: #333;
  min-height: 20px;
}

.shengwang_case_read_top_right_content strong {
  font-weight: 500;
  font-family: var(--title-font-family);
}

.shengwang_case_read .inquiry-btn {
  display: inline-block;
  background: var(--color-primary);
  color: #fff;
  font-size: 20px;
  font-weight: 400;
  line-height: 1.4;
  padding: 16px 30px;
  border-radius: 50px;
  margin-top: 40px;
}

.shengwang_case_read .swiper-slide img {
  width: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
  border-radius: 24px;
}

.shengwang_case_read .swiper-pagination-bullet {
  background: rgba(217, 217, 217, 1);
  opacity: 1;
}

.shengwang_case_read .swiper-pagination-bullet-active {
  background: rgba(194, 183, 176, 1);
}

.shengwang_case_read_content {
  margin-top: 90px;
}

.shengwang_case_read .pre-nav-list-wrapper {
  position: sticky;
  top: 135px;
  z-index: 10;
  background: #fff;
  width: 100%;
}

.shengwang_case_read .pre-nav-list-wrapper-inner {
  max-width: 100%;
  overflow-x: auto;
}

.shengwang_case_read .pre-nav-list-wrapper-inner::-webkit-scrollbar {
  display: none;
}

.shengwang_case_read .pre-nav-list {
  width: max-content;
  display: flex;
  gap: 30px;
}

.shengwang_case_read .pre-nav-item {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 19px 10px;
  color: #000;
  font-size: 20px;
  font-weight: 400;
  line-height: 1.65;
}

.shengwang_case_read .pre-nav-item.active {
  font-family: var(--title-font-family);
  font-weight: 700;
  border-bottom: 3px solid #000;
}

.shengwang_case_read_content_item:nth-child(odd) {
  background: #F9F9F9;
}

.shengwang_case_read_content_item {
  position: relative;
  padding: var(--shengwang-case-read-padding) 0;
}

.shengwang_case_read_content_item_content {
  margin-top: var(--shengwang-case-read-padding-sm);
}

.shengwang_case_read_content_item:last-child .shengwang_case_read_content_item_content {
  margin-top: 10px;
}

.shengwang_case_read_content_item_content p {
  min-height: 24px;
  color: #333;
  text-align: justify;
  font-size: 18px;
  font-weight: 400;
  line-height: 170%;
}

.shengwang_case_read_content_item_content img {
  border-radius: 24px !important;
}

.shengwang_case_read_content_item_title {
  font-family: var(--title-font-family);
  color: #000;
  text-align: center;
  font-size: 46px;
  font-weight: 600;
  letter-spacing: -0.84px;
}

.shengwang_case_read_content_item_recommend {
  margin-top: var(--shengwang-case-read-padding-sm);
  padding-bottom: var(--shengwang-case-read-padding-sm) !important;
}

.shengwang_case_read_content_item_recommend .swiper-slide {
  border-radius: 24px;
  overflow: hidden;
  background: #fff;
}

.shengwang_case_read_content_item_recommend .swiper-slide img {
  width: 100%;
  aspect-ratio: 325/204;
  object-fit: cover;
  border-radius: 0px;
}

.shengwang_case_read_content_item_recommend .swiper-pagination-bullet {
  background: rgba(223, 223, 223, 1);
  opacity: 1;
}

.shengwang_case_read_content_item_recommend .swiper-pagination-bullet-active {
  background: var(--color-primary);
}

.shengwang_case_read_content_item_recommend_item_content_wrapper {
  padding: 24px 12px;
}

.shengwang_case_read_content_item_recommend_item_title {
  color: #323333;
  font-size: 18px;
  font-family: var(--title-font-family);
  font-weight: 400;
  height: calc(18px * 1.4 * 1);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
}

.shengwang_case_read_content_item_recommend_item_content {
  color: #323333;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.625;
  height: calc(16px * 1.625 * 6);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6;
  margin-top: 14px;
}

.shengwang_case_read_content_item_recommend .swiper-pagination {
  bottom: 0px !important;
}

.shengwang_case_read_content_item_cooperation {
  display: flex;
  flex-direction: column;
  gap: var(--shengwang-case-read-padding-sm);
}

.shengwang_case_read_content_item_cooperation_item {
  display: flex;
  align-items: center;
  gap: 40px;
}

.shengwang_case_read_content_item_cooperation_item:nth-child(odd) {
  flex-direction: row-reverse;
}

.shengwang_case_read_content_item_cooperation_item_title {
  font-family: var(--title-font-family);
  color: #333;
  font-size: 24px;
  font-weight: 600;
  line-height: 125%;
  letter-spacing: -0.48px;
}

.shengwang_case_read_content_item_cooperation_item_content {
  color: #333;
  text-align: justify;
  font-size: 18px;
  font-weight: 300;
  line-height: 170%;
  margin-top: 24px;
}

.shengwang_case_read_content_item_cooperation_item img {
  width: 50%;
  aspect-ratio: 1/1;
  object-fit: cover;
  border-radius: 24px;
}

@media screen and (max-width: 1400px) {
  .shengwang_case_read .pre-nav-list-wrapper {
    top: 79px;
  }
}

@media screen and (max-width: 1200px) {
  :root {
    --shengwang-case-read-padding: 50px;
    --shengwang-case-read-padding-sm: 30px;
  }

  .shengwang_case_read_top_right_title {
    font-size: 24px;
  }

  .shengwang_case_read .inquiry-btn {
    font-size: 16px;
    padding: 12px 20px;
  }

  .shengwang_case_read_top_right_content p {
    font-size: 14px;
  }

  .shengwang_case_read .pre-nav-list {
    gap: 20px;
  }

  .shengwang_case_read .pre-nav-item {
    padding: 16px 6px;
    font-size: 16px;
  }

  .shengwang_case_read_nav {
    padding: 24px 0;
  }

  .shengwang_case_read_content {
    margin-top: 50px;
  }

  .shengwang_case_read_content_item_title {
    font-size: 36px;
  }

  .shengwang_case_read_content_item_content p {
    font-size: 16px;
  }

  .shengwang_case_read_content_item_cooperation_item_title {
    font-size: 20px;
  }

  .shengwang_case_read_content_item_cooperation_item_content {
    font-size: 14px;
  }
}

@media screen and (max-width: 992px) {
  :root {
    --shengwang-case-read-padding: 40px;
    --shengwang-case-read-padding-sm: 20px;
  }

  .shengwang_case_read .pre-nav-list-wrapper {
    top: 74px;
  }

  .shengwang_case_read_top {
    flex-direction: column;
  }

  .shengwang_case_read_top_left {
    width: 100%;
  }

  .shengwang_case_read_top_right {
    width: 100%;
  }

  .shengwang_case_read_content_item_title {
    font-size: 24px;
  }

  .shengwang_case_read_content_item_content p {
    font-size: 14px;
  }

  .shengwang_case_read_content_item_cooperation_item,
  .shengwang_case_read_content_item_cooperation_item:nth-child(odd) {
    flex-direction: column;
  }

  .shengwang_case_read_content_item_cooperation_item img {
    width: 100%;
  }

  .shengwang_case_read_content_item_recommend {
    padding-bottom: 40px;
  }
}

@media screen and (max-width: 768px) {
  .shengwang_case_read .pre-nav-list-wrapper {
    top: 82px;
  }
}

@media screen and (max-width: 576px) {
  :root {
    --shengwang-case-read-padding: 30px;
    --shengwang-case-read-padding-sm: 20px;
  }

  .shengwang_case_read_nav {
    margin: 12px 0;
  }

  .shengwang_case_read_top {
    gap: 20px;
  }

  .shengwang_case_read_content_item_recommend_item_content_wrapper {
    padding: 12px;
  }

  .shengwang_case_read_content_item_recommend_item_title {
    font-size: 14px;
    height: calc(14px * 1.4 * 1);
    -webkit-line-clamp: 1;
  }

  .shengwang_case_read_content_item_recommend_item_content {
    font-size: 12px;
    height: calc(12px * 1.625 * 4);
    -webkit-line-clamp: 4;
    margin-top: 6px;
  }

  .shengwang_case_read .inquiry-btn {
    margin-top: 20px;
  }

  .shengwang_case_read_content {
    margin-top: 30px;
  }
}

@media screen and (max-width: 480px) {
  .shengwang_case_read .pre-nav-list-wrapper {
    top: 54px;
  }
}